Package org.jsoup

# Class UncheckedIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jsoup.UncheckedIOException

All Implemented Interfaces:
  `Serializable`

public class UncheckedIOException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UncheckedIOException(IOException cause)`
`UncheckedIOException(String message)`

## Method Summary

Modifier and Type
Method
Description
`IOException`
`ioException()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UncheckedIOException

public UncheckedIOException(IOException cause)

### UncheckedIOException

public UncheckedIOException(String message)

## Method Details

### ioException

public IOException ioException()